%define major		0
%define libname		%mklibname %{name} %{major}
%define develname	%mklibname %{name} -d

Name: mozilla-headless-services
Summary: DBus Mozilla Services library
Group: Networking/WWW
Version: 0.10.4
License: LGPL
URL: http://www.moblin.org
Release: %mkrel 1
Source0: http://git.moblin.org/cgit.cgi/%{name}/snapshot/%{name}-%{version}.tar.bz2
Patch0: %{name}-0.10.2-makefile.patch
Patch1: %{name}-0.10.3-includes.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot

BuildRequires: libglib2-devel
BuildRequires: libdbus-glib-devel
BuildRequires: libGConf2-devel
BuildRequires: xulrunner-headless-devel
BuildRequires: gnome-common
BuildRequires: gtk-doc

Requires: xulrunner-headless

%description
Mozilla Headless Services provides a DBus interface to
various Mozilla services, such as history, bookmarking
and preferences.

%package -n %{libname}
Summary: Clutter mozembed library
Group: System/Libraries
Requires: %{name}

%description -n %{libname}
Widget to enable embedding of mozilla browser in your clutter applications

%package -n %{develname}
Summary: Mozilla Headless Services development environment
Group: Development/Other
Requires: %{libname} = %{version}-%{release}
Provides: %{name}-devel

%description -n %{develname}
Header files and libraries for Mozilla Headless Services

%prep
%setup -q 
%patch0
%patch1
perl -pi -e 's,^./configure.*,,' ./autogen.sh

%build
./autogen.sh
%configure2_5x --enable-gnome-proxy
%make

%install
rm -rf %{buildroot}
%makeinstall_std

mkdir -p %{buildroot}/%{_datadir}/doc/%{name}-%{version}
for f in `ls %{buildroot}/%{_datadir}/doc/`; do
	if [ -f %{buildroot}/%{_datadir}/doc/$f ]; then
		mv %{buildroot}/%{_datadir}/doc/$f %{buildroot}/%{_datadir}/doc/%{name}-%{version}
	fi
done

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%{_libexecdir}/mhs-service
%{_datadir}/dbus-1/services/*.service

%files -n %{libname}
%defattr(-,root,root,-)
%{_libdir}/*.so.%{major}*

%files -n %{develname}
%defattr(-,root,root,-)
%{_libdir}/*.la
%{_libdir}/*.so
%dir %{_includedir}/mhs-1.0
%{_includedir}/mhs-1.0/*
%{_libdir}/pkgconfig/*.pc


%changelog
* Wed Oct 28 2009 Olivier Blin <oblin@mandriva.com> 0.10.4-1mdv2010.0
+ Revision: 459790
- 0.10.4 (from Caio Begotti)

* Tue Oct 06 2009 Olivier Blin <oblin@mandriva.com> 0.10.3-3mdv2010.0
+ Revision: 454586
- provides mozilla-headless-services-devel
- require libname in devel package

* Tue Oct 06 2009 Olivier Blin <oblin@mandriva.com> 0.10.3-2mdv2010.0
+ Revision: 454521
- bump release
- libify

* Tue Oct 06 2009 Olivier Blin <oblin@mandriva.com> 0.10.3-1mdv2010.0
+ Revision: 454369
- fix groups
- remove useless ldconfig post scriptlets
- remove useless obsoletes
- buildrequire gtk-doc
- do not run configure twice
- initial import (from Caio Begotti, based on Moblin package)
- Created package structure for mozilla-headless-services.

